##### basic_random_access_file::basic_random_access_file (1 of 10 overloads)

Construct a `basic_random_access_file` without opening it.

    basic_random_access_file(
        const executor_type & ex);

This constructor initialises a file without opening it. The file needs to be opened before data can be read from or or written to it.

###### Parameters

ex

  The I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.